#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "IntegerValueStrategy.generated.h"

UCLASS(Blueprintable, Abstract, DefaultToInstanced, EditInlineNew)
class DBDSHAREDTYPES_API UIntegerValueStrategy : public UObject
{
	GENERATED_BODY()

public:
	UIntegerValueStrategy();
};

FORCEINLINE uint32 GetTypeHash(const UIntegerValueStrategy) { return 0; }
